/*	Analog.cpp
*
*	Analog Input using Analog to Digital Converter (ADC).
*
*	Written by Cathy Saxton
*	robotics@idleloop.com
*/

#pragma once

class ANALOG
{
public:
	/* constructor for setting the ADC channel (0 for ADC0, 1 for ADC1, etc)
	   expects that the pin has been set as input */
	ANALOG(char channel);
	
	/* read the value of the analog input */
	unsigned char ReadByte();

private:
	static void Init();

	unsigned char m_channel;
	
	/* static variable: one per class, not instance */
	static bool s_fInit;
};
