/*	Timer.h
*
*	Accurate timing.
*
*	NOTE: this code...
*	- uses Timer/Counter 2
*	- assumes internal clock is running at 8MHz
*
*	Written by Cathy Saxton
*	robotics@idleloop.com
*/

#pragma once

class TIMER
{
public:
	/* constructor for initializing Timer/Counter 2 for timing */
	TIMER();

	/* returns number of ms since Timer initialized */
	unsigned long MsCur() const;
	/* returns true if the specified number of milliseconds
	   has passed since the start time (else returns false) */
	bool HasElapsed(unsigned long msStart, unsigned int msWait) const;
	/* pauses (waits) for the specified number of milliseconds */
	void WaitMs(unsigned int ms) const;

private:
	static void Init();
	
	/* static variable: one per class, not instance */
	static bool s_fInit;
};
